Name:           split-gpg2
Version:        1.1.3
Release:        1%{dist}
Summary:        split-gpg2 for Qubes
BuildArch:      noarch

Group:          Qubes
License:        GPLv2+

Source0:        %{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  python3-rpm-macros
BuildRequires:  systemd-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python3-pyxdg
Requires:       socat
Requires:       bash
Requires:       gnupg2 >= 2.1.0
Requires:       systemd
Requires:       zenity
Recommends:     libnotify
Recommends:     desktop-notification-daemon

%description
split-gpg2 allows you to run the gpg client in a different Qubes-Domain than
the gpg-agent.

%package tests
Summary:    Tests for Split GPG
Requires:   %{name}
%if ! 0%{?rhel}
Requires:   python%{python3_pkgversion}-dogtail
%endif
Requires:   xdotool
Requires:   dovecot

%description tests
Helper scripts for Split GPG tests.

%prep
%setup -q

%build
make PYTHON=%{__python3}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT" PYTHON=%{__python3}

%post
%systemd_user_post split-gpg2-client.service

%preun
%systemd_user_preun split-gpg2-client.service

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/qubes-rpc/qubes.Gpg2
/etc/gnupg/gpg.conf
%_userunitdir/split-gpg2-client.service
%_userpresetdir/70-split-gpg2-client.preset
%{python3_sitelib}/splitgpg2
%{python3_sitelib}/splitgpg2-*.egg-info
/usr/share/split-gpg2/
/usr/share/doc/split-gpg2/

%files tests
/usr/share/split-gpg2-tests/test_evolution.py*
/usr/share/split-gpg2-tests/test_thunderbird.py*
/usr/share/split-gpg2-tests/test_smtpd.py*

%changelog
* Fri Jan 03 2025 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-split-gpg2.git

* Fri Jan 03 2025 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ba91eeb
- version 1.1.3

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 692fb5a
- version 1.1.2

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b2fb67d
- tests: update Thunderbird/Evolution interactions

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd30173
- tests: generate signing subkey

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49385e9
- tests: log stdout/stderr on key generation failure

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e6fa1f8
- Do not output keyring import messages to the client stderr

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7cc989f
- Add type annotations to StdoutWriterProtocol

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ee0498
- ci: drop R4.1 add R4.3

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2eb10ac
- Convert FlowControlMixin to StdoutWriterProtocol

* Sat Dec 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b3330f2
- Factor in FlowControlMixin

* Thu Dec 19 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 2129a12
- Use unrestricted connection for HAVEKEY --list and KEYINFO --list

* Thu Dec 19 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - ebf46f9
- Allow "KEYINFO --list"

* Thu Dec 19 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - cff7f8e
- Clean up input validation

* Thu Dec 19 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 5890078
- Always pass expected_inquires dict

* Thu Dec 19 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 329b272
- Understand Assuan comments

* Thu Dec 19 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 5b8e483
- Properly indent a function parameter

* Thu Dec 19 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 1010282
- Fix bytes vs str mismatch

* Wed Dec 18 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 373ca73
- tests: fix creating config dir

* Wed Dec 18 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8df1757
- tests: assertEquals -> assertEqual

* Tue Oct 29 2024 Ben Grande <ben.grande.b@gmail.com> - a97b280
- Prevent agent hang on alternative gpg homedir

* Wed Oct 23 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 8efb735
- Give fake OK response to OPTIONS pinentry-mode=ask

* Wed Oct 23 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - f388c33
- Remove OptionHandlingType.override

* Tue Oct 22 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 58efb86
- Return fake 'OK' to setting 'display' option

* Tue Oct 22 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - f4bfddb
- Ignore NOP command

* Tue Oct 22 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 39ca8cc
- Do not test Ed448 or X448 unless GnuPG says they are supported

* Tue Oct 22 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - e8a1d73
- Fix tests for Ed448 and X448 keys

* Mon Aug 12 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ba13c18
- version 1.1.1

* Tue Jul 23 2024 Yanase Yuki <dev@zpc.st> - 03ef1e0
- debian: add socat to runtime dependency

* Mon Jul 22 2024 Ben Grande <ben.grande.b@gmail.com> - c73d280
- Recommends notification client and server

* Thu May 23 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f121711
- version 1.1.0

* Wed May 22 2024 Ben Grande <ben.grande.b@gmail.com> - 1e2936d
- Source drop-in configuration files

* Fri May 10 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b5eefa
- make pylint happy

* Fri May 10 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7778a11
- cleanup pylintrc

* Fri May 10 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7cb59ee
- ci: fix pylint setup

* Fri May 10 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f488ef1
- Fix connection cleanup

* Mon Feb 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 95fb34d
- version 1.0.0

* Mon Feb 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3c10ab4
- README: Update references to the config location and format

* Sun Feb 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c56ec9c
- tests: fix loop cleanup

* Sun Feb 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 69f47ea
- Assert that self.source_keyring_dir is set

* Wed Feb 22 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - f3b2657
- Fix typo and make code more readable

* Tue Feb 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 32bf495
- Document source_keyring_dir

* Tue Feb 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 33f050d
- typo: verbose_notifications, not verbose_notification

* Tue Feb 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 6d6a565
- Expand ~ and ~user in all keyring paths

* Thu Feb 16 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 7063198
- Log keyring generation

* Thu Feb 16 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 45d6a1a
- Update subkey generation docs

* Wed Feb 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 870e368
- Document subkey vs primary key distinction

* Wed Feb 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 2f14962
- Add documentation about additional working uses

* Wed Feb 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - a8795b6
- Editorial fixes to README.md

* Wed Feb 01 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 5554af3
- fix pylint warning

* Tue Jan 31 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - fa5e668
- Make source_keyring_dir not override isolated_gnupghome_dirs

